Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.filter
Class FilePatternFilter

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType
                      org.archive.crawler.framework.Filter
                          org.archive.crawler.filter.URIRegExpFilter
                              org.archive.crawler.filter.FilePatternFilter

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean

Deprecated. As of release 1.10.0. Replaced by `MatchesFilePatternDecideRule`.

    public class FilePatternFilter

extends URIRegExpFilter

Compares suffix of a passed CrawlURI, UURI, or String against a regular expression pattern accepting matches.

Author:
  Igor Ranitovic
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.MBeanAttributeInfoIterator`

Field Summary
`static java.lang.String` | `ALL` Deprecated.
`static java.lang.String` | `ALL_DEFAULT_PATTERNS` Deprecated.
`static java.lang.String` | `ATTR_USE_DEFAULT` Deprecated.
`static java.lang.String` | `AUDIO` Deprecated.
`static java.lang.String` | `AUDIO_PATTERNS` Deprecated.
`static java.lang.String` | `CUSTOM` Deprecated.
`static java.lang.String` | `IMAGES` Deprecated.
`static java.lang.String` | `IMAGES_PATTERNS` Deprecated.
`static java.lang.String` | `MISC` Deprecated.
`static java.lang.String` | `MISC_PATTERNS` Deprecated.
`static java.lang.String` | `VIDEO` Deprecated.
`static java.lang.String` | `VIDEO_PATTERNS` Deprecated.

Fields inherited from class org.archive.crawler.filter.URIRegExpFilter
`ATTR_MATCH_RETURN_VALUE, ATTR_REGEXP`

Fields inherited from class org.archive.crawler.framework.Filter
`ATTR_ENABLED`

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`FilePatternFilter(java.lang.String name)` Deprecated.

Method Summary
`boolean` | `accepts(java.lang.Object o)` Deprecated.
`protected java.lang.String` | `getRegexp(java.lang.Object o)` Deprecated. Get the regular expression string to match the URI against.

Methods inherited from class org.archive.crawler.filter.URIRegExpFilter
`innerAccepts, returnTrueIfMatches`

Methods inherited from class org.archive.crawler.framework.Filter
`getFilterOffPosition, kickUpdate, toString`

Methods inherited from class org.archive.crawler.settings.ModuleType
`addElement, listUsedFiles`

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, iterator, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_USE_DEFAULT

    public static final java.lang.String ATTR_USE_DEFAULT

  Deprecated.
  See Also:
    Constant Field Values

### IMAGES_PATTERNS

    public static final java.lang.String IMAGES_PATTERNS

  Deprecated.
  See Also:
    Constant Field Values

### AUDIO_PATTERNS

    public static final java.lang.String AUDIO_PATTERNS

  Deprecated.
  See Also:
    Constant Field Values

### VIDEO_PATTERNS

    public static final java.lang.String VIDEO_PATTERNS

  Deprecated.
  See Also:
    Constant Field Values

### MISC_PATTERNS

    public static final java.lang.String MISC_PATTERNS

  Deprecated.
  See Also:
    Constant Field Values

### ALL_DEFAULT_PATTERNS

    public static final java.lang.String ALL_DEFAULT_PATTERNS

  Deprecated.
  See Also:
    Constant Field Values

### ALL

    public static final java.lang.String ALL

  Deprecated.
  See Also:
    Constant Field Values

### IMAGES

    public static final java.lang.String IMAGES

  Deprecated.
  See Also:
    Constant Field Values

### AUDIO

    public static final java.lang.String AUDIO

  Deprecated.
  See Also:
    Constant Field Values

### VIDEO

    public static final java.lang.String VIDEO

  Deprecated.
  See Also:
    Constant Field Values

### MISC

    public static final java.lang.String MISC

  Deprecated.
  See Also:
    Constant Field Values

### CUSTOM

    public static final java.lang.String CUSTOM

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### FilePatternFilter

    public FilePatternFilter(java.lang.String name)

  Deprecated.
  Parameters:
    `name` -

Method Detail

### getRegexp

    protected java.lang.String getRegexp(java.lang.Object o)

  Deprecated.
  Description copied from class: `URIRegExpFilter`
  Get the regular expression string to match the URI against.

  Overrides:
    `getRegexp` in class `URIRegExpFilter`
  Parameters:
    `o` - the object for which the regular expression should be matched against.
  Returns:
    the regular expression to match against.
  See Also:
    `URIRegExpFilter.getRegexp(java.lang.Object)`

### accepts

    public boolean accepts(java.lang.Object o)

  Deprecated.
  Overrides:
    `accepts` in class `Filter`
  See Also:
    `Filter.accepts(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.